Attribute VB_Name = "basMain"
Option Explicit

Public Const csDicNum       As String = "DicNum"
Public Const csKanji        As String = "Kanji"

Private mlDicNum            As Long         ' P
Private msDicKanji()        As String       ' P

Sub Main()
'---------------------------------------------------------------------------
'    : Main()
' @@@\ : NbL[NCYxC
' @@ : Ȃ
'   l : Ȃ
' @@ : 2001/10/01
'---------------------------------------------------------------------------
    Dim lbRetCode       As Boolean          ' ߂l
    Dim lsAppPath       As String       ' AvP[ṼpX

    lsAppPath = App.Path
    If Right(lsAppPath, 1) = "\" Then
        App.HelpFile = lsAppPath & App.ProductName & ".hlp"
    Else
        App.HelpFile = lsAppPath & "\" & App.ProductName & ".hlp"
    End If

    ncReadIniFile
    lbRetCode = ncReadDicFile
    If lbRetCode <> False Then
        frmMain.Show
    End If
End Sub

Public Property Get ncDicValue(ByVal psParamKey As String, Optional ByVal plIndex As Long) As Variant
'---------------------------------------------------------------------------
'    : ncDicValue()
' @@@\ : p[^l̎擾
' @@ : (I) psParamKey     p[^L[
'          : (I) plIndex        CfbNX
'   l : p[^l
' @@ : 2001/10/01
'---------------------------------------------------------------------------
    Select Case psParamKey
    Case csDicNum
        ncDicValue = mlDicNum
    Case csKanji
        ncDicValue = msDicKanji(plIndex)

    End Select
End Property

Public Function ncReadDicFile() As Boolean
'---------------------------------------------------------------------------
'    : ncReadDicFile()
' @@@\ : t@Cǂݍ
' @@ : Ȃ
'   l : True= , False= s
' @@ : 2001/10/01
'---------------------------------------------------------------------------
    Dim liFileNo        As Integer          ' t@Cԍ
    Dim lsFileName      As String           ' t@C
    Dim lsLine          As String           ' ǂݍݕ
    Dim lsAppPath       As String           ' AvP[ṼpX

    On Error GoTo ncReadDicFile_Error

    lsAppPath = App.Path
    If Right(lsAppPath, 1) = "\" Then
        lsFileName = lsAppPath & App.ProductName & ".dic"
    Else
        lsFileName = lsAppPath & "\" & App.ProductName & ".dic"
    End If
    liFileNo = FreeFile

    Open lsFileName For Input Access Read As liFileNo
    On Error Resume Next
    Do While Not EOF(liFileNo)
        Line Input #liFileNo, lsLine
        lsLine = LTrim(lsLine)
        If Len(lsLine) >= 2 Then
            mlDicNum = mlDicNum + 1
            ReDim Preserve msDicKanji(mlDicNum)
            msDicKanji(mlDicNum) = lsLine
        End If
    Loop

    Close liFileNo

    If mlDicNum > 0 Then
        ncReadDicFile = True
    Else
        ncReadDicFile = False
        MsgBox "t@CA񂪓ǂݍ߂܂łB", vbCritical, "G["
    End If
    Exit Function

ncReadDicFile_Error:
    Close liFileNo
    MsgBox "t@C̓ǂݍ݂Ɏs܂B" & vbCrLf & "ErrorNo: " & Err.Number & vbCrLf & Err.Description, vbCritical, "G["
    ncReadDicFile = False
End Function

Public Function ncGetColor(psBefColor As String)
'---------------------------------------------------------------------------
'    : ncGetColor()
' @@@\ : F񕶎񂩂Fԍ擾
' @@ : (I) psBefColor     ϊF
'   l : F̒l
' @@ : 1998/12/11
'---------------------------------------------------------------------------
    Dim llRed           As Long         ' Fiԁj
    Dim llGreen         As Long         ' Fi΁j
    Dim llBlue          As Long         ' Fij

    llRed = CLng(Mid$(psBefColor, 1, 3))
    llGreen = CLng(Mid$(psBefColor, 4, 3))
    llBlue = CLng(Mid$(psBefColor, 7, 3))

    ncGetColor = RGB(llRed, llGreen, llBlue)
End Function
